Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040926
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-05-21 12:162019-05-31 09:10
ReporteraaroncaleroView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revision93cede5a9d7f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040926: Pay Open Tickets functionality does not work in offline mode

DescriptionPay Open Tickets functionality does not work in offline mode. When trying to open the Pay Open Tickets popup while offline, the following error message is shown:
This functionality requires online operation. Check your Internet connection and if it is working, please contact your system administrator.

When using the preference "WebPOS Select Current Receipts on Pay Open Tickets", currently loaded tickets and draft tickets are automatically shown in the Pay Open Tickets popup. In offline mode, it should be possible to pay these tickets using Pay Open Tickets.
Steps To ReproduceLogin in backend and go to the preference window.
Create a new preference 'WebPOS Select Current Receipts on Pay Open Tickets' with value 'Y'.

Login in WebPOS.
Open the browser console, go to the Network tab and check the Offline checkbox to force the offline mode.
Do a ticket search (Menu > Open Receipt, then search without filters) to trigger the offline mode.
Create a new ticket and add a product.
Go to the Menu > Pay Open Tickets. The error mentioned in the description will be shown.
Proposed SolutionThe menu entry for Pay Open Tickets checks if the session attribute connectedToERP (OB.MobileApp.model.get('connectedToERP')) is true before executing any logic.
This check should be removed to enable Pay Open Tickets in offline mode, or maybe combined with the preference WebPOS Select Current Receipts on Pay Open Tickets.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0112252)
hgbot (developer)
2019-05-30 07:58

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 93cede5a9d7f515f569ef8581355d0a75f15deec
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu May 30 11:27:37 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/93cede5a9d7f515f569ef8581355d0a75f15deec [^]

Fixed issue 40926 : UnPaid receipts should be listed in Pay Open Tickets in Offline mode

---
M web/org.openbravo.retail.posterminal/js/components/menu.js
M web/org.openbravo.retail.posterminal/js/components/modal-pay-open-tickets.js
---

- Issue History
Date Modified Username Field Change
2019-05-21 12:16 aaroncalero New Issue
2019-05-21 12:16 aaroncalero Assigned To => Retail
2019-05-21 12:16 aaroncalero Triggers an Emergency Pack => No
2019-05-24 08:43 guillermogil Type design defect => defect
2019-05-27 10:59 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-05-27 10:59 ranjith_qualiantech_com Status new => scheduled
2019-05-30 07:58 hgbot Checkin
2019-05-30 07:58 hgbot Note Added: 0112252
2019-05-30 07:58 hgbot Status scheduled => resolved
2019-05-30 07:58 hgbot Resolution open => fixed
2019-05-30 07:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/93cede5a9d7f515f569ef8581355d0a75f15deec [^]
2019-05-31 09:10 marvintm Review Assigned To => marvintm
2019-05-31 09:10 marvintm Status resolved => closed
2019-05-31 09:10 marvintm Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker